version: '3'
services:
  {{ odoo.service_name }}:
    build: .
    container_name: {{ odoo.container_name }}
    user: root
    ports:
      - 8069:8069
    networks:
      - odoo
    entrypoint: ['/entrypoint.sh', 'odoo']
    volumes:
      - ../odoo-data:{{ odoo.data_dir }}
      - ../logs:/var/log/odoo
      - ./config:/etc/odoo
      - ./src/custom-addons:/mnt/extra-addons/custom-addons
      - ./website:/mnt/OCA/website
      - ./e-commerce:/mnt/OCA/e-commerce

  {%- if env == 'DEV' or env == 'QA' or env == 'PROD' %}     
  {{ nginx.service_name }}:     
    container_name: {{ nginx.container_name }}
    restart: unless-stopped
    image: nginx:latest
    networks:
      - odoo
    ports:
      - 80:80
      - 443:443
    volumes:
      - ./nginx/nginx-config/nginx_template.conf:{{ nginx.path_config }}
      - ./nginx/ssl/:{{ nginx.path_ssl_certificate }}
  {%- endif %}
networks:
  odoo:
      external: true
